Skip to main content
GET
/
status-pages
/
{id}
/
design
curl "https://kodostatus.com/api/v1/status-pages/<page-id>/design" \
  -H "X-API-Key: your_api_key"
{
  "status_page_id": "a04cc0eb-35ef-4d7d-a6da-ef79ecb7ff3f",
  "current_version_id": "82c7d7cd-d31b-4c2d-a9b4-b2ca56d24f90",
  "draft_version_id": null,
  "current_version": {
    "id": "82c7d7cd-d31b-4c2d-a9b4-b2ca56d24f90",
    "status_page_id": "a04cc0eb-35ef-4d7d-a6da-ef79ecb7ff3f",
    "version_number": 4,
    "state": "published",
    "base_version_id": null,
    "theme_tokens": {
      "brand": { "primary": "#0ea5e9", "secondary": "#22c55e" },
      "font": { "family": "inter" }
    },
    "layout": {
      "sections": [
        { "type": "header", "enabled": true },
        { "type": "overall_status", "enabled": true },
        { "type": "services_list", "enabled": true }
      ]
    },
    "template": null,
    "template_mode": "default",
    "summary": "Brand refresh",
    "created_by": "api_key:abcd1234",
    "created_at": "2026-02-18T02:00:00.000Z",
    "published_at": "2026-02-18T02:02:00.000Z"
  },
  "draft_version": null,
  "effective_design": {
    "id": "82c7d7cd-d31b-4c2d-a9b4-b2ca56d24f90",
    "status_page_id": "a04cc0eb-35ef-4d7d-a6da-ef79ecb7ff3f",
    "version_number": 4,
    "state": "published",
    "base_version_id": null,
    "theme_tokens": {
      "brand": { "primary": "#0ea5e9", "secondary": "#22c55e" },
      "font": { "family": "inter" }
    },
    "layout": {
      "sections": [
        { "type": "header", "enabled": true },
        { "type": "overall_status", "enabled": true },
        { "type": "services_list", "enabled": true }
      ]
    },
    "template": null,
    "template_mode": "default",
    "summary": "Brand refresh",
    "created_by": "api_key:abcd1234",
    "created_at": "2026-02-18T02:00:00.000Z",
    "published_at": "2026-02-18T02:02:00.000Z"
  }
}

Path Parameters

id
string
required
Status page ID.

Response

status_page_id
string
Status page ID.
current_version_id
string | null
Published design version ID.
draft_version_id
string | null
Draft design version ID.
current_version
object | null
Published design version object.
draft_version
object | null
Draft design version object.
effective_design
object | null
What is effectively rendered (current_version fallback draft_version).
curl "https://kodostatus.com/api/v1/status-pages/<page-id>/design" \
  -H "X-API-Key: your_api_key"
{
  "status_page_id": "a04cc0eb-35ef-4d7d-a6da-ef79ecb7ff3f",
  "current_version_id": "82c7d7cd-d31b-4c2d-a9b4-b2ca56d24f90",
  "draft_version_id": null,
  "current_version": {
    "id": "82c7d7cd-d31b-4c2d-a9b4-b2ca56d24f90",
    "status_page_id": "a04cc0eb-35ef-4d7d-a6da-ef79ecb7ff3f",
    "version_number": 4,
    "state": "published",
    "base_version_id": null,
    "theme_tokens": {
      "brand": { "primary": "#0ea5e9", "secondary": "#22c55e" },
      "font": { "family": "inter" }
    },
    "layout": {
      "sections": [
        { "type": "header", "enabled": true },
        { "type": "overall_status", "enabled": true },
        { "type": "services_list", "enabled": true }
      ]
    },
    "template": null,
    "template_mode": "default",
    "summary": "Brand refresh",
    "created_by": "api_key:abcd1234",
    "created_at": "2026-02-18T02:00:00.000Z",
    "published_at": "2026-02-18T02:02:00.000Z"
  },
  "draft_version": null,
  "effective_design": {
    "id": "82c7d7cd-d31b-4c2d-a9b4-b2ca56d24f90",
    "status_page_id": "a04cc0eb-35ef-4d7d-a6da-ef79ecb7ff3f",
    "version_number": 4,
    "state": "published",
    "base_version_id": null,
    "theme_tokens": {
      "brand": { "primary": "#0ea5e9", "secondary": "#22c55e" },
      "font": { "family": "inter" }
    },
    "layout": {
      "sections": [
        { "type": "header", "enabled": true },
        { "type": "overall_status", "enabled": true },
        { "type": "services_list", "enabled": true }
      ]
    },
    "template": null,
    "template_mode": "default",
    "summary": "Brand refresh",
    "created_by": "api_key:abcd1234",
    "created_at": "2026-02-18T02:00:00.000Z",
    "published_at": "2026-02-18T02:02:00.000Z"
  }
}

Common Errors

StatusCodeMeaning
404-Status page not found